Bug 191652 - [Curl] Load HTTP body of 401 response when AuthenticationChange is cancelled.
Summary: [Curl] Load HTTP body of 401 response when AuthenticationChange is cancelled.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-14 12:59 PST by Basuke Suzuki
Modified: 2019-02-26 10:28 PST (History)
8 users (show)

See Also:


Attachments
Patch (2.61 KB, patch)
2019-02-11 23:11 PST, Takashi Komori
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews112 for mac-highsierra (2.07 MB, application/zip)
2019-02-12 00:58 PST, Build Bot
no flags Details
Patch (2.61 KB, patch)
2019-02-12 17:32 PST, Takashi Komori
no flags Details | Formatted Diff | Diff
Patch (7.87 KB, patch)
2019-02-26 05:03 PST, Takashi Komori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-11-14 12:59:57 PST
Currently empty body.
Comment 1 Takashi Komori 2019-02-11 23:11:47 PST
Created attachment 361772 [details]
Patch
Comment 2 Takashi Komori 2019-02-11 23:13:16 PST
When server returns 401 error WinCairo port doesn't print any result.
When 401 error we should call didReceiveResponse.
This patch fix it.
Comment 3 Build Bot 2019-02-12 00:58:04 PST
Comment on attachment 361772 [details]
Patch

Attachment 361772 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11119078

New failing tests:
http/tests/inspector/network/resource-initiatorNode.html
Comment 4 Build Bot 2019-02-12 00:58:05 PST
Created attachment 361780 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 5 Alex Christensen 2019-02-12 17:26:16 PST
Does this fix some layout tests?  That should be mentioned in the ChangeLog.
Comment 6 Takashi Komori 2019-02-12 17:32:33 PST
Created attachment 361873 [details]
Patch
Comment 7 Takashi Komori 2019-02-12 17:39:14 PST
(In reply to Alex Christensen from comment #5)
> Does this fix some layout tests?  That should be mentioned in the ChangeLog.

This patch doesn't fix existing layouttest.
This fixes the behavior of server returning 401, and testrunner can't handle it.
Because testrunner challenges authentication infinitely when auth fails.

Is there apropriate test for this situation?
Comment 8 Alex Christensen 2019-02-13 10:33:15 PST
(In reply to Takashi Komori from comment #7)
> Is there apropriate test for this situation?

There are many tests where servers return 401.  If there isn't a test that this change fixes, there should be.  I'll be there's already at least one, and it should be mentioned.
Comment 9 Takashi Komori 2019-02-26 05:03:54 PST
Created attachment 362976 [details]
Patch
Comment 10 Takashi Komori 2019-02-26 05:48:21 PST
(In reply to Alex Christensen from comment #8)
Thank you for your comment.

New patch passes http/tests/security/401-logout/401-logout.php

Expected results for WebKitTestRunner and DumpRenderTree are different.
This is because difference of didReceiveAuthenticationChallenge implementations between TestRunner and DRT.

On WIncairo port, we should use LayoutTests/http/tests/security/401-logout/401-logout-expected.txt as DumpRenderTree's expected result,
and use LayoutTests/platform/wk2/http/tests/security/401-logout/401-logout-expected.txt as WebKitTestRunner's expected result.
Comment 11 WebKit Commit Bot 2019-02-26 10:24:46 PST
Comment on attachment 362976 [details]
Patch

Clearing flags on attachment: 362976

Committed r242092: <https://trac.webkit.org/changeset/242092>
Comment 12 WebKit Commit Bot 2019-02-26 10:24:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2019-02-26 10:28:33 PST
<rdar://problem/48405043>